export declare class Escape {
    constructor();
    /**
    * Escapes HTML entities from a string.
    * @param {string} value
    * @param {string | number} arg
    * @param {any} options
    * @return {string}
    */
    it(value: any, arg?: string | number): string;
    /**
    * Escapes HTML entities from a string.
    * @param {string} rawInput
    * @return {string}
    */
    escapeString(rawInput: string): string;
    /**
    * Performs HTML escaping, levels number of times.
    * @param {string} rawInput
    * @param {boolean | number} levels
    * @return {string}
    */
    uptoLevel(rawInput: string, levels: number): string;
}
