export declare class Unescape {
    optionsObject: any;
    constructor();
    /**
    * Unescapes a string of escaped html values.
    * @param {string} value
    * @param {boolean | number} arg
    * @return {string}
    */
    it(value: any, arg?: string | number, options?: any): string;
    /**
    * Unescapes HTML entities from a string.
    * @param {string} rawInput
    * @return {string}
    */
    unescapeString(rawInput: string): string;
    /**
    * Performs HTML unescaping, levels number of times.
    * @param {string} rawInput
    * @param {boolean | number} levels
    * @return {string}
    */
    uptoLevel(rawInput: string, levels: number): string;
    /**
    * Performs HTML unescaping untill the string is fully Unescaped.
    * @param {string} value
    * @return {string}
    */
    inDeepMode(rawInput: string): string;
}
